--- ftiens4.js.orig	Sat Apr 27 16:17:00 2002
+++ ftiens4.js	Sun Jun  9 00:19:32 2002
@@ -39,8 +39,8 @@
  
   //dynamic data 
   this.isOpen = true 
-  this.iconSrc = "ftv2folderopen.gif"   
-  this.iconSrcClosed = "ftv2folderclosed.gif"   
+  this.iconSrc = "./bookmarks/ftv2folderopen.gif"   
+  this.iconSrcClosed = "./bookmarks/ftv2folderclosed.gif"   
   this.children = new Array 
   this.nChildren = 0 
  
@@ -83,20 +83,20 @@
   if (level>0) 
     if (lastNode) //the last child in the children array 
     { 
-	  nodeIconName = "ftv2mlastnode.gif"
+	  nodeIconName = "./bookmarks/ftv2mlastnode.gif"
 	  if (this.nChildren == 0)
-		 nodeIconName = "ftv2lastnode.gif"
+		 nodeIconName = "./bookmarks/ftv2lastnode.gif"
 	  this.renderOb(leftSide + "<td valign=top>" + auxEv + "<img name='nodeIcon" + this.id + "' id='nodeIcon" + this.id + "' src='" + nodeIconName + "' width=16 height=22 border=0></a></td>") 
-      leftSide = leftSide + "<td valign=top><img src='ftv2blank.gif' width=16 height=22></td>"  
+      leftSide = leftSide + "<td valign=top><img src='./bookmarks/ftv2blank.gif' width=16 height=22></td>"  
       this.isLastNode = 1 
     } 
     else 
     { 
-	  nodeIconName = "ftv2mnode.gif"
+	  nodeIconName = "./bookmarks/ftv2mnode.gif"
 	  if (this.nChildren == 0)
-		nodeIconName = "ftv2node.gif"
-      this.renderOb(leftSide + "<td valign=top background=ftv2vertline.gif>" + auxEv + "<img name='nodeIcon" + this.id + "' id='nodeIcon" + this.id + "' src='" + nodeIconName + "' width=16 height=22 border=0></a></td>") 
-      leftSide = leftSide + "<td valign=top background=ftv2vertline.gif><img src='ftv2vertline.gif' width=16 height=22></td>" 
+		nodeIconName = "./bookmarks/ftv2node.gif"
+      this.renderOb(leftSide + "<td valign=top background=./bookmarks/ftv2vertline.gif>" + auxEv + "<img name='nodeIcon" + this.id + "' id='nodeIcon" + this.id + "' src='" + nodeIconName + "' width=16 height=22 border=0></a></td>") 
+      leftSide = leftSide + "<td valign=top background=./bookmarks/ftv2vertline.gif><img src='./bookmarks/ftv2vertline.gif' width=16 height=22></td>" 
       this.isLastNode = 0 
     } 
   else 
@@ -136,7 +136,7 @@
   }
   else
   {
-	  doc.write("<img src=ftv2blank.gif height=2 width=2>")
+	  doc.write("<img src=./bookmarks/ftv2blank.gif height=2 width=2>")
   }
   if (WRAPTEXT)
 	doc.write("</td><td valign=middle width=100%>") 
@@ -223,9 +223,9 @@
   { 
 	if (folder.nodeImg && folder.nChildren > 0) 
 	  if (folder.isLastNode) 
-		folder.nodeImg.src = "ftv2mlastnode.gif" 
+		folder.nodeImg.src = "./bookmarks/ftv2mlastnode.gif" 
 	  else 
-		folder.nodeImg.src = "ftv2mnode.gif" 
+		folder.nodeImg.src = "./bookmarks/ftv2mnode.gif" 
 	if (USEICONS)
 	  folder.iconImg.src = folder.iconSrc
 	for (i=0; i<folder.nChildren; i++) 
@@ -235,9 +235,9 @@
   { 
 	if (folder.nodeImg && folder.nChildren > 0) 
 	  if (folder.isLastNode) 
-		folder.nodeImg.src = "ftv2plastnode.gif" 
+		folder.nodeImg.src = "./bookmarks/ftv2plastnode.gif" 
 	  else 
-		folder.nodeImg.src = "ftv2pnode.gif" 
+		folder.nodeImg.src = "./bookmarks/ftv2pnode.gif" 
 	if (USEICONS)
 	  folder.iconImg.src = folder.iconSrcClosed
 	for (i=0; i<folder.nChildren; i++) 
@@ -302,7 +302,7 @@
   this.id = -1 //initialized in initalize() 
   this.navObj = 0 //initialized in render() 
   this.iconImg = 0 //initialized in render() 
-  this.iconSrc = "ftv2doc.gif" 
+  this.iconSrc = "./bookmarks/ftv2doc.gif" 
  
   // methods 
   this.initialize = initializeItem 
@@ -322,13 +322,13 @@
   if (level>0) 
     if (lastNode) //the last 'brother' in the children array 
     { 
-      this.renderOb(leftSide + "<td valign=top><img src='ftv2lastnode.gif' width=16 height=22></td>") 
-      leftSide = leftSide + "<td valign=top><img src='ftv2blank.gif' width=16 height=22>"  
+      this.renderOb(leftSide + "<td valign=top><img src='./bookmarks/ftv2lastnode.gif' width=16 height=22></td>") 
+      leftSide = leftSide + "<td valign=top><img src='./bookmarks/ftv2blank.gif' width=16 height=22>"  
     } 
     else 
     { 
-      this.renderOb(leftSide + "<td valign=top background=ftv2vertline.gif><img src='ftv2node.gif' width=16 height=22></td>") 
-      leftSide = leftSide + "<td valign=top background=ftv2vertline.gif><img src='ftv2vertline.gif' width=16 height=22></td>" 
+      this.renderOb(leftSide + "<td valign=top background=./bookmarks/ftv2vertline.gif><img src='./bookmarks/ftv2node.gif' width=16 height=22></td>") 
+      leftSide = leftSide + "<td valign=top background=./bookmarks/ftv2vertline.gif><img src='./bookmarks/ftv2vertline.gif' width=16 height=22></td>" 
     } 
   else 
     this.renderOb("")   
@@ -350,7 +350,7 @@
   }
   else
   {
-	  doc.write("<img src=ftv2blank.gif height=2 width=3>")
+	  doc.write("<img src=./bookmarks/ftv2blank.gif height=2 width=3>")
   }
   if (WRAPTEXT)
     doc.write("</td><td valign=middle width=100%>") 
@@ -400,15 +400,6 @@
  
 function mostra() 
 { 
-  if (browserVersion == 1 || browserVersion == 3) { 
-	 if (t==-1)
-		return
-     var str = new String(doc.links[t])
-     if (str.slice(36,38) != "rh") {
-	    return
-	 }
-  }
-
   if (browserVersion == 1 || browserVersion == 3) 
     this.navObj.style.display = "block" 
   else 
@@ -559,7 +550,7 @@
 	  else 
 	  { 
 		if (target==1) 
-		   fullLink = "'http://"+linkData+"' target=_blank" 
+		   fullLink = linkData+" target=_blank" 
 		else 
 		   if (target==2)
 			  fullLink = "'http://"+linkData+"' target=\"basefrm\"" 
@@ -690,17 +681,17 @@
 
 var auxImg
 auxImg = new Image();
-auxImg.src = "ftv2vertline.gif";
-auxImg.src = "ftv2mlastnode.gif";
-auxImg.src = "ftv2mnode.gif";
-auxImg.src = "ftv2plastnode.gif";
-auxImg.src = "ftv2pnode.gif";
-auxImg.src = "ftv2blank.gif";
-auxImg.src = "ftv2lastnode.gif";
-auxImg.src = "ftv2node.gif";
-auxImg.src = "ftv2folderclosed.gif";
-auxImg.src = "ftv2folderopen.gif";
-auxImg.src = "ftv2doc.gif";
+auxImg.src = "./bookmarks/ftv2vertline.gif";
+auxImg.src = "./bookmarks/ftv2mlastnode.gif";
+auxImg.src = "./bookmarks/ftv2mnode.gif";
+auxImg.src = "./bookmarks/ftv2plastnode.gif";
+auxImg.src = "./bookmarks/ftv2pnode.gif";
+auxImg.src = "./bookmarks/ftv2blank.gif";
+auxImg.src = "./bookmarks/ftv2lastnode.gif";
+auxImg.src = "./bookmarks/ftv2node.gif";
+auxImg.src = "./bookmarks/ftv2folderclosed.gif";
+auxImg.src = "./bookmarks/ftv2folderopen.gif";
+auxImg.src = "./bookmarks/ftv2doc.gif";
 
 
 
